Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 814024 - rhc-idler does NOT work
Summary: rhc-idler does NOT work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Jhon Honce
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-19 03:32 UTC by Johnny Liu
Modified: 2015-05-14 22:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-27 20:46:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 808656 0 high CLOSED existing stopped app on stage becomes to idle 2021-02-22 00:41:40 UTC

Internal Links: 808656

Description Johnny Liu 2012-04-19 03:32:24 UTC
Description of problem:
This bug is introduced by 10797174f2686396ea75c8bc687ee21ac8112c04.

[root@ip-10-118-203-101 stickshift]# rhc-idler -u 7ae27dfb799c4c83b688d60886d6a1d1
[root@ip-10-118-203-101 stickshift]# rhc-idler -l
[root@ip-10-118-203-101 stickshift]# sh -x rhc-idler -u 7ae27dfb799c4c83b688d60886d6a1d1
+ TRUE=0
+ FALSE=1
+ getopts u:dl OPTION
+ case $OPTION in
+ uuid=7ae27dfb799c4c83b688d60886d6a1d1
+ getopts u:dl OPTION
+ '[' '!' -z '' ']'
+ '[' -z 7ae27dfb799c4c83b688d60886d6a1d1 ']'
+ '[' -d /var/lib/stickshift/7ae27dfb799c4c83b688d60886d6a1d1 ']'
+ source /var/lib/stickshift/7ae27dfb799c4c83b688d60886d6a1d1/.env/OPENSHIFT_GEAR_DIR
++ export OPENSHIFT_GEAR_DIR=/var/lib/stickshift/7ae27dfb799c4c83b688d60886d6a1d1/redmine/
++ OPENSHIFT_GEAR_DIR=/var/lib/stickshift/7ae27dfb799c4c83b688d60886d6a1d1/redmine/
+ source /var/lib/stickshift/7ae27dfb799c4c83b688d60886d6a1d1/.env/OPENSHIFT_RUNTIME_DIR
++ export OPENSHIFT_RUNTIME_DIR=/var/lib/stickshift/7ae27dfb799c4c83b688d60886d6a1d1/redmine/runtime/
++ OPENSHIFT_RUNTIME_DIR=/var/lib/stickshift/7ae27dfb799c4c83b688d60886d6a1d1/redmine/runtime/
++ is_idled 7ae27dfb799c4c83b688d60886d6a1d1
++ appid=7ae27dfb799c4c83b688d60886d6a1d1
++ grep -q ' #ProxyPass' /etc/httpd/conf.d/stickshift/7ae27dfb799c4c83b688d60886d6a1d1_jialiu_redmine.conf
++ return 1
++ is_stopped 7ae27dfb799c4c83b688d60886d6a1d1
+++ get_state 7ae27dfb799c4c83b688d60886d6a1d1
+++ source /var/lib/stickshift/7ae27dfb799c4c83b688d60886d6a1d1/.env/OPENSHIFT_RUNTIME_DIR
++++ export OPENSHIFT_RUNTIME_DIR=/var/lib/stickshift/7ae27dfb799c4c83b688d60886d6a1d1/redmine/runtime/
++++ OPENSHIFT_RUNTIME_DIR=/var/lib/stickshift/7ae27dfb799c4c83b688d60886d6a1d1/redmine/runtime/
+++ cat /var/lib/stickshift/7ae27dfb799c4c83b688d60886d6a1d1/redmine/runtime//.state
++ _test=started
+++ test stopped = started
++ return
+ '[' -o ']'
+ exit 0

After I use
if `is_idled "$uuid"` || `is_stopped "$uuid"` ; then
to replace
if [ `is_idled "$uuid"` -o `is_stopped "$uuid"` ]; then
it works fine.

Version-Release number of selected component (if applicable):
devenv_1730

How reproducible:
Always

Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jhon Honce 2012-04-19 16:16:19 UTC
Suggested changes made in commit 45e70e22e42b479f8607809adb5edcfa75fa8595

Comment 2 Meng Bo 2012-04-20 02:33:57 UTC
verified on devenv_1732, issue has been fixed.


Note You need to log in before you can comment on or make changes to this bug.